Skip to main content

DeleteUserByEmail

Delete contacts according to email address.

POST /api/v3/userinfo/delete_user_by_email

caution

This operation is irreversible. Once a contact is deleted, all related data (including but not limited to the contact information, tags, custom attributes, preferences) will be deleted. Please verify that the email is correct before proceeding, or the wrong contact may be deleted.

Request parameters​

For more information on the query parameters, see Query parameters.

AttributeData typeRemarksDescription
emailstringrequiredEmail
modify_tsbigintrequiredTimestamp of deletion (in milliseconds)

Request sample​

curl --request POST "https://openapi.smartlink.intlgame.com/api/v3/userinfo/delete_user_by_email?gameid=${GAME_ID}&seq=${YOUR_RANDOM_STRING}&sig=${SIGNATURE}&ts=${TS}" \
--header 'Content-Type: application/json' \
--data-raw '{
"email": "5450588341@qq.com",
"modify_ts": 1691225447577
}'

Response parameters​

AttributeData typeDescription
codeintReturn code
msgstringReturn message

Response sample​

{
"code":0,
"msg":"Success",
"seq": "{YOUR_RANDOM_STRING}"
}